curl --request POST \
--url https://call.aiployees.com/api/user/tools \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"description": "<string>",
"endpoint": "<string>",
"method": "<string>",
"timeout": 123,
"headers": [
{
"name": "<string>",
"value": "<string>"
}
],
"schema": [
{
"name": "<string>",
"type": "<string>",
"description": "<string>"
}
]
}
'{
"message": "Tool created successfully",
"data": {
"id": 1,
"name": "check_order_status",
"description": "Use this tool to check the status of a customer's order.",
"endpoint": "https://api.yourstore.com/orders/status",
"method": "GET",
"timeout": 10,
"headers": [
{
"name": "Content-Type",
"value": "application/json"
},
{
"name": "Authorization",
"value": "Bearer sk_..."
}
],
"schema": [
{
"name": "order_id",
"type": "string",
"description": "The customer's order ID"
},
{
"name": "order_number",
"type": "number",
"description": "The numeric order number"
},
{
"name": "priority_order",
"type": "boolean",
"description": "Whether this is a priority order"
}
],
"created_at": "2025-10-10T12:00:00.000000Z",
"updated_at": "2025-10-10T12:00:00.000000Z"
}
}
Create a new mid call tool
curl --request POST \
--url https://call.aiployees.com/api/user/tools \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"description": "<string>",
"endpoint": "<string>",
"method": "<string>",
"timeout": 123,
"headers": [
{
"name": "<string>",
"value": "<string>"
}
],
"schema": [
{
"name": "<string>",
"type": "<string>",
"description": "<string>"
}
]
}
'{
"message": "Tool created successfully",
"data": {
"id": 1,
"name": "check_order_status",
"description": "Use this tool to check the status of a customer's order.",
"endpoint": "https://api.yourstore.com/orders/status",
"method": "GET",
"timeout": 10,
"headers": [
{
"name": "Content-Type",
"value": "application/json"
},
{
"name": "Authorization",
"value": "Bearer sk_..."
}
],
"schema": [
{
"name": "order_id",
"type": "string",
"description": "The customer's order ID"
},
{
"name": "order_number",
"type": "number",
"description": "The numeric order number"
},
{
"name": "priority_order",
"type": "boolean",
"description": "Whether this is a priority order"
}
],
"created_at": "2025-10-10T12:00:00.000000Z",
"updated_at": "2025-10-10T12:00:00.000000Z"
}
}
get_weather, book_appointment)GET, POST, PUT, PATCH, or DELETEShow data properties
{
"message": "Tool created successfully",
"data": {
"id": 1,
"name": "check_order_status",
"description": "Use this tool to check the status of a customer's order.",
"endpoint": "https://api.yourstore.com/orders/status",
"method": "GET",
"timeout": 10,
"headers": [
{
"name": "Content-Type",
"value": "application/json"
},
{
"name": "Authorization",
"value": "Bearer sk_..."
}
],
"schema": [
{
"name": "order_id",
"type": "string",
"description": "The customer's order ID"
},
{
"name": "order_number",
"type": "number",
"description": "The numeric order number"
},
{
"name": "priority_order",
"type": "boolean",
"description": "Whether this is a priority order"
}
],
"created_at": "2025-10-10T12:00:00.000000Z",
"updated_at": "2025-10-10T12:00:00.000000Z"
}
}
tool_ids parameter to attach tools when creating an assistanttool_ids parameter to add, remove, or replace tools on an existing assistant